#include "hbdyn.ch"
              
FUNCTION MAIN()
   
   #define BT_BITMAP_CAPTURE_DESKTOP     0

   #define BT_FILEFORMAT_BMP  0
   #define BT_FILEFORMAT_JPG  1
   #define BT_FILEFORMAT_GIF  2
   #define BT_FILEFORMAT_TIF  3
   #define BT_FILEFORMAT_PNG  4
   
   * HwGui
   hBitmap := BT_BMP_CAPTURESCR(0, 0, 0, Hwg_GetDeskTopWidth(), Hwg_GetDeskTopHeight(), BT_BITMAP_CAPTURE_DESKTOP)

   * GTWVG / GTWVT
   hBitmap := BT_BMP_CAPTURESCR(0, 0, 0, Hb_gtInfo( HB_GTI_DESKTOPWIDTH ), Hb_gtInfo( HB_GTI_DESKTOPHEIGHT ), BT_BITMAP_CAPTURE_DESKTOP)
    
   lSucesso := BT_BMP_SAVEFILE( hBitmap, 'TESTE.BMP', BT_FILEFORMAT_BMP )
   
   hwg_MsgInfo( "Teste com captura de tela" )
   
RETURN Nil

FUNCTION FOTO()
THREAD STATIC nCounter := 1

   cCounter := "0001"
   
   nHandleDLL := Hb_LibLoad( "JPG.dll" )

   nWidth  := Hb_gtInfo( HB_GTI_DESKTOPWIDTH )
   nHeight := Hb_gtInfo( HB_GTI_DESKTOPHEIGHT )
   
   nWidth  := Hwg_GetDeskTopWidth()
   nHeight := Hwg_GetDeskTopHeight()
   
   IF Hb_FileExists( Hb_DirBase() + "JPG.INI" )
      cCounter := hwg_GetIni( 'CONTADOR', 'Counter', '', Hb_DirBase() + "JPG.INI" )
      nCounter := Val( cCounter )
   ENDIF

   cFile := cCounter + [.JPG]

   DO WHILE Hb_FileExists( cFile )
      cCounter := StrZero( nCounter++, 4 )
      cFile := cCounter + [.JPG]
   ENDDO
   
   nStatus:=hb_dynCall( { "SaveToJpgEx", nHandleDLL, HB_DYN_CALLCONV_STDCALL}, 0, cFile, nWidth, nHeight ) 

   hwg_WriteIni( 'CONTADOR', 'Counter', cCounter, Hb_DirBase() + "JPG.INI" )
   
   Hb_LibFree( nHandleDLL )
 
RETURN Nil

INIT FUNCTION AppSetup()
  
  REQUEST HB_LANG_PT
  REQUEST HB_CODEPAGE_PTISO
  REQUEST HB_CODEPAGE_PT850
  Hb_langSelect("PT")
  Hb_cdpSelect( "PT850" )
  
  SET TYPEAHEAD TO 0
  SET INTENSITY ON
  SET SCOREBOARD OFF
  SET DELETED ON
  SET SAFETY OFF
  SET ESCAPE ON
  SET DATE FORMAT "DD/MM/YYYY"
  SET DELIMITERS TO
  SET EXCLUSIVE OFF
  SET WRAP ON
  SET EPOCH TO 1920
  SET OPTIMIZE ON
  SET AUTOPEN OFF
  SET MESSAGE TO 23 CENTER

  REQUEST DBFCDX
  
  rddSetDefault("DBFCDX")
  
  Hb_gtReload( "WVT" )
  
  SetMode(25, 80)
 
  SetColor("W+/B")
  
  CLS
 
  IniciaJanela()

RETURN Nil 
 

FUNCTION IniciaJanela()
 
   cTituloJanela:="Teste SaveScreen GUI"
   
   Hb_gtInfo( HB_GTI_FONTNAME, "Lucida Console" )
   Hb_gtInfo( HB_GTI_WINTITLE, cTituloJanela )
   Hb_gtInfo( HB_GTI_ICONFILE, "P:\GERAL\HARBOUR\HARB_WIN.ICO" )
   Hb_gtInfo( HB_GTI_CLOSABLE, .F. )
   Hb_gtInfo( HB_GTI_ISGRAPHIC, .T. )
   Hb_gtInfo( HB_GTI_STDERRCON, .T. )
   Hb_gtInfo( HB_GTI_COMPATBUFFER, .T. ) 
   Hb_gtInfo( HB_GTI_SPEC, HB_GTS_WNDSTATE, HB_GTS_WS_MAXIMIZED )
   Hb_gtInfo( HB_GTI_SPEC, HB_GTS_SHOWWINDOW, SW_NORMAL )
   Hb_gtInfo( HB_GTI_MAXIMIZED, .T. )
   
RETURN Nil
 
FUNCTION HB_GTSYS()
   REQUEST HB_GT_WVT_DEFAULT
   REQUEST HB_GT_WVT
   REQUEST HB_GT_WVG
RETURN Nil